using System;
using System.Windows;
using System.Windows.Data;

namespace GeoDashboard
{
    public partial class SexTile : System.Windows.Controls.UserControl
    {
        public SexTile()
        {
            InitializeComponent();
        }
    }
    /// <summary>
    /// Converter used to scale the male/female icons.
    /// </summary>
    public class ScaleConverter : IValueConverter
    {
        public object Convert(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is double)
            {
                var val = (double)value / 100.0;
                return (val * val) / (.5 * .5); // square rather than linear
            }
            return 1.0;
        }
        public object ConvertBack(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new System.NotImplementedException();
        }
    }
}
